#
# Conditional build:
%bcond_with	tests	# perform "./Build test"
			# (tests fail because our perl doesn't contain
			# File::Spec::Win32 and other "foreign" modules)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Path
%define		pnam	Class
Summary:	Path::Class - cross-platform path specification manipulation
Summary(pl.UTF-8):	Path::Class - wieloplatformowe operacje na ścieżkach plików
Name:		perl-Path-Class
Version:	0.25
Release:	1
# same as perl 5
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/K/KW/KWILLIAMS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	91517fdac5262e8665ae2ba9f507824b
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-Module-Build >= 0.3601
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.87
BuildRequires:	perl-File-Temp
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Path::Class is a module for manipulation of file and directory
specifications (strings describing their locations, like
'/home/ken/foo.txt' or 'C:\Windows\Foo.txt') in a cross-platform
manner. It supports pretty much every platform Perl runs on, including
Unix, Windows, Mac, VMS, Epoc, Cygwin, OS/2, and NetWare.

The well-known module File::Spec also provides this service, but it's
sort of awkward to use well, so people sometimes avoid it, or use it
in a way that won't actually work properly on platforms significantly
different than the ones they've tested their code on.

%description -l pl.UTF-8
Path::Class to moduł do operacji na specifikacjach plików i katalogów
(łańcuchach opisujących ich położenie, takich jak '/home/ken/foo.txt'
czy 'C:\Windows\Foo.txt') w sposób wieloplatformowy. Obsługuje
większość platform na których działa Perl, w tym: Unix, Windows, Mac,
VMS, Epoc, Cygwin, OS/2, NetWare.

Podobne operacje są udostępniane przez dobrze znany moduł File::Spec,
ale jest on nieco niewygodny, więc ludzie czasem go unikają lub
używają w sposób nie działający poprawnie na platformach znacząco
różnych od tych, na których testują kod.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT

./Build
%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Path
%{perl_vendorlib}/Path/Class.pm
%{perl_vendorlib}/Path/Class
%{_mandir}/man3/Path::Class*.3pm*
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Path-Class.git;a=log;h=master

* Wed May 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 5cfa561
- updated to 0.25

* Wed Jan 18 2012 zbyniu <zbyniu@pld-linux.org> 71936f6
- up to 0.24

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> a32d795
- updated to 0.18

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b0dfcf2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 84876e4
- converted to UTF-8

* Fri Jan 05 2007 wrobell <wrobell@pld-linux.org> 69680f6
- ver. 0.16

* Thu May 25 2006 ankry <ankry@pld-linux.org> 471ce19
- release down to 1

* Thu May 25 2006 blaass <blaass@pld-linux.org> 83d3828
- up to 0.15, rel 2

* Wed Jul 27 2005 radek <radek@pld-linux.org> f2a6e8c
- version 0.12

* Fri Jan 07 2005 Adam Gołębiowski <adamg@pld-linux.org> e273a5e
- release 2 (for fixed deps on ac-i386)

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> ad983c5
- updated to 0.08

* Wed Dec 01 2004 radek <radek@pld-linux.org> 07d27a3
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e12029b
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> a6658a1
- updated to 0.07

* Thu May 13 2004 Adam Gołębiowski <adamg@pld-linux.org> c7bcb76
- updated to 0.06

* Fri May 07 2004 ankry <ankry@pld-linux.org> 3505de9
- license unification

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 21fef69
- cosmetics

* Sun Mar 28 2004 Adam Gołębiowski <adamg@pld-linux.org> daf4f7c
- outdated

* Sun Mar 28 2004 Adam Gołębiowski <adamg@pld-linux.org> 55fce14
- updated to 0.05

* Sun Dec 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 4aec8d4
- pl

